Name: cpio-gnu
Version: 2.12
Release: 2
License: GPL-3.0-or-later
Summary: GNU cpio utility
Url: https://www.gnu.org/software/cpio

Source0: https://ftp.gnu.org/gnu/cpio/cpio-%{version}.tar.bz2

Patch0: cpio-no-stx-hidden.patch
Patch1: cpio-really-no-openat.patch


%description
GNU cpio copies files into or out of a cpio or tar archive.
The archive can be another file on the disk, a magnetic tape, or a pipe.

GNU cpio supports the following archive formats: binary, old ASCII, new ASCII,
crc, HPUX binary, HPUX old ASCII, old tar, and POSIX.1 tar. The tar format is
provided for compatability with the tar program. By default, cpio creates
binary format archives, for compatibility with older cpio programs.
When extracting from archives, cpio automatically recognizes which kind of
archive it is reading and can read archives created on machines with a
different byte-order.

%prep
%setup -q -n cpio-%{version}

%patch0 -p1
%patch1 -p1

%build

%configure \
  ac_cv_func_faccessat=no \
  ac_cv_func_fchmodat=no \
  ac_cv_func_fchownat=no \
  ac_cv_func_fstatat=no \
  ac_cv_func_futimesat=no \
  ac_cv_func_linkat=no \
  ac_cv_func_mkdirat=no \
  ac_cv_func_mkfifoat=no \
  ac_cv_func_mknodat=no \
  ac_cv_func_openat=no \
  ac_cv_func_readlinkat=no \
  ac_cv_func_renameat=no \
  ac_cv_func_symlinkat=no \
  ac_cv_func_unlinkat=no \
  ac_cv_func_utimensat=no \
  LDFLAGS="-Wl,-blibpath:/QOpenSys/usr/lib" \
  --disable-nls \
  --disable-rpath

%make_build

%install

%make_install

rm %{buildroot}%{_libdir}/charset.alias || :

%files
%defattr(-, qsys, *none)

%{_bindir}/cpio

%{_infodir}/cpio.info*

%{_mandir}/man1/cpio.1*
%{_mandir}/man8*


%changelog
* Wed May 27 2020 Kevin Adler <kadler@us.ibm.com> - 2.12
- Use generic paths for man and info pages to allow for compression

* Thu Dec 05 2019 Kevin Adler <kadler@us.ibm.com> - 2.12
- Port patch from findutils to fix broken calls to fstatat

* Mon Dec 2 2019 Abdirahim Musse <abdirahim.musse@ibm.com> 
- Use SPDX license identifier
- Wrapped description such that each line does not exceed 80 characters
- Disable half-implemented *at APIs, fixing IBM i 7.2

* Mon Mar 12 2018 Kevin Adler <kadler@us.ibm.com>
- Remove charset.alias file

* Sat Mar 3 2018 Kevin Adler <kadler@us.ibm.com>
- Pass CPPFLAGS='-D__PASE__' to configure

* Tue Nov 21 2017 Kevin Adler <kadler@us.ibm.com>
- Use auto dependency resolution instead of requiring pase-libs
- Fix symlink bug in cpio

* Thu Aug 17 2017 Kevin Adler <kadler@us.ibm.com> 
- Use configure macro

* Mon Jun 5 2017 Kevin Adler <kadler@us.ibm.com> 
- Use make_build and make_install macros

* Sun Apr 23 2017 Kevin Adler <kadler@us.ibm.com> 
- Remove extra space in Summary lines

* Thu Apr 20 2017 Kevin Adler <kadler@us.ibm.com> 
- Add initial spec file
